format = """
$os\
[](fg:white bg:black)\
$username\
$hostname\
[](fg:black bg:#6D8DD1)\
$directory\
[](fg:#6D8DD1 bg:#47CB6B)\
$git_branch\
$git_state\
$git_status\
$git_metrics\
[](fg:#47CB6B bg:#FCA17D)\
$c\
$dart\
$golang\
$java\
$nodejs\
$php\
$python\
$rust\
[](fg:#FCA17D bg:#33658A)\
$docker_context\
[](fg:#33658A)\
$fill\
[](fg:#33658A)\
$jobs\
[](fg:yellow bg:#33658A)\
$cmd_duration\
[](fg:#47CB6B bg:yellow)\
$memory_usage\
[](fg:white bg:#47CB6B)\
$time\
$battery\
[ ](fg:white)\
$line_break\
$character"""

scan_timeout = 30
command_timeout = 500
# add_newline = false

[fill]
symbol = " "

[character]
success_symbol = "[❯](purple)"
error_symbol = "[❯](red)"
vicmd_symbol = "[❮](green)"

[username]
show_always = true
style_user = "fg:yellow bg:black"
style_root = "fg:#CE4B4E bg:black"
format = '[ $user ]($style)'

[hostname]
ssh_only = true
ssh_symbol = ""
format = "[@](fg:yellow bg:black)[$hostname](fg:yellow bg:black)[ $ssh_symbol ](fg:yellow bg:black)"
trim_at = "."
disabled = false

[os]
format = '[ $symbol](fg:black bg:white)'
disabled = false

[os.symbols]
Alpine = " "
Amazon = " "
Android = " "
Arch = " "
CentOS = " "
Debian = " "
DragonFly = " "
Emscripten = " "
EndeavourOS = " "
Fedora = " "
FreeBSD = " "
Garuda = "﯑ "
Gentoo = " "
HardenedBSD = "ﲊ "
Illumos = " "
Linux = " "
Macos = " "
Manjaro = " "
Mariner = " "
MidnightBSD = " "
Mint = " "
NetBSD = " "
NixOS = " "
OpenBSD = " "
openSUSE = " "
OracleLinux = " "
Pop = " "
Raspbian = " "
Redhat = " "
RedHatEnterprise = " "
Redox = " "
Solus = "ﴱ "
SUSE = " "
Ubuntu = " "
Unknown = " "
Windows = " "

[directory]
style = "bg:#6D8DD1"
read_only = " "
format = "[ $path[$read_only](fg:yellow bg:#6D8DD1) ]($style)"
truncation_length = 3
truncation_symbol = "…/"
truncate_to_repo = false

[directory.substitutions]
"Important Documents" = "󰈙󱈸 "
"Documents" = "󰈙 "
"Downloads" = " "
"Music" = "󰝚 "
"Pictures" = " "
"Development" = " "
"Developer" = " "
"Dev" = " "
"~" = "󰋜 ~"

[docker_context]
symbol = " "
style = "bg:#06969A"
format = '[ $symbol $context ]($style) $path'

[git_branch]
symbol = ""
style = "fg:black bg:#47CB6B"
format = '[ $symbol $branch ]($style)'

[git_status]
style = "fg:black bg:#47CB6B"
format = '[$all_status$ahead_behind]($style)'
ahead = "⇡${count}"
diverged = "⇕⇡${ahead_count}⇣${behind_count}"
behind = "⇣${count}"

[git_state]
style = "fg:black bg:#47CB6B"
format = '\([$state( $progress_current of $progress_total)]($style)\) '
#style = "bright-black"

[git_metrics]
added_style = "fg:black bg:#47CB6B"
deleted_style = "fg:white bold bg:#47CB6B"
format = '[ +$added |]($added_style)[ -$deleted ](fg:red bold bg:#47CB6B)'
disabled = false

[cmd_duration]
format = "[ took $duration  ](fg:black bg:yellow)"
style = "gb:yellow"

[jobs]
symbol = ""
number_threshold = 1
format = "[ $symbol ](fg:bold red bg:#33658A)"
style = "bg:33658A"

[memory_usage]
disabled = false
threshold = -1
symbol = ""
style = "fg:black bg:#47CB6B"
format = "[ ${ram_pct} $symbol  ]($style)"

[time]
disabled = false
time_format = "%R" # Hour:Minute Format
format = '[](fg:white)[ $time  ](fg:black bg:white)'

[battery]
full_symbol = '󰁹 '
charging_symbol = '󱊥 '
discharging_symbol = '󱊣 '
unknown_symbol = '󱊢 '
empty_symbol = '󰂎 '
format = '[](fg:white)[ $symbol$percentage ]($style)'

[[battery.display]]
threshold = 10
style = 'bold red bg:black'

[[battery.display]]
threshold = 30
style = 'bold yellow bg:black'

[[battery.display]]
threshold = 50
style = 'bold purpel bg:black'

[[battery.display]]
threshold = 100
style = 'bold green bg:black'

[aws]
symbol = "  "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[buf]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[c]
symbol = " "
style = "fg:white bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[conda]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[kubernetes]
symbol = '☸ '
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[dart]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = ['dart']
detect_files = [
    'pubspec.yaml',
    'pubspec.yml',
    'pubspec.lock',
]
detect_folders = ['.dart_tool']

[elixir]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[elm]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = ['elm']
detect_files = [
    'elm.json',
    'elm-package.json',
    '.elm-version',
]
detect_folders = ['elm-stuff']

[golang]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = ['go']
detect_files = [
    'go.mod',
    'go.sum',
    'glide.yaml',
    'Gopkg.yml',
    'Gopkg.lock',
    '.go-version',
]
detect_folders = ['Godeps']

[guix_shell]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[haskell]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[haxe]
symbol = "⌘ "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[hg_branch]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[java]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = [
    'java',
    'class',
    'jar',
    'gradle',
    'clj',
    'cljc',
]
detect_files = [
    'pom.xml',
    'build.gradle.kts',
    'build.sbt',
    '.java-version',
    'deps.edn',
    'project.clj',
    'build.boot',
]
detect_folders = []

[julia]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = ['jl']
detect_files = [
    'Project.toml',
    'Manifest.toml',
]
detect_folders = []

[lua]
symbol = "󰢱 "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = ['lua']
detect_files = ['.lua-version']
detect_folders = ['lua']

[meson]
symbol = "喝 "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[nim]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = [
    'nim',
    'nims',
    'nimble',
]
detect_files = ['nim.cfg']
detect_folders = []

[nix_shell]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[nodejs]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = [
    'js',
    'mjs',
    'cjs',
    'ts',
]
detect_files = [
    'package.json',
    '.node-version',
    '.nvmrc',
]
detect_folders = ['node_modules']

[package]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[perl]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
disabled = true
detect_extensions = [
    'pl',
    'pm',
    'pod',
]
detect_files = [
    'Makefile.PL',
    'Build.PL',
    'cpanfile',
    'cpanfile.snapshot',
    'META.json',
    'META.yml',
    '.perl-version',
]
detect_folders = []

[php]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = ['php']
detect_files = [
    'composer.json',
    '.php-version',
]
detect_folders = []

[python]
symbol = " "
style = "fg:black bg:#FCA17D"
pyenv_prefix = 'pyenv '
python_binary = [
    'python',
    'python3',
    'python2',
]
format = '[ ${symbol} ${pyenv_prefix}(${version} )(\($virtualenv\) )]($style)'
version_format = 'v${raw}'
detect_extensions = ['py']
detect_files = [
    'requirements.txt',
    '.python-version',
    'pyproject.toml',
    'Pipfile',
    'tox.ini',
    'setup.py',
    '__init__.py',
]
detect_folders = []

[rlang]
symbol = "ﳒ "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'

[ruby]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = ['rb']
detect_files = [
    'Gemfile',
    '.ruby-version',
]
detect_folders = []

[rust]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = ['rs']
detect_files = ['Cargo.toml']
detect_folders = []

[scala]
symbol = " "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
detect_extensions = [
    'sbt',
    'scala',
]
detect_files = [
    '.scalaenv',
    '.sbtenv',
    'build.sbt',
]
detect_folders = ['.metals']

[spack]
symbol = "🅢 "
style = "fg:black bg:#FCA17D"
format = '[ $symbol ($version) ]($style)'
